fitsinfo(1)

NAME
fitsinfo - Print a summary of the HDUs in one or more FITS files(s)

SYNOPSIS
fitsinfo filename [filename ...]

DESCRIPTION

fitsinfo is a command-line script based on astropy.io.fits for printing a summary of the HDUs in one or more FITS files(s) to the standard output.

EXAMPLES

Example usage of fitsinfo:

1. Print a summary of the HDUs in a FITS file:

    $ fitsinfo filename.fits

    Filename: filename.fits
    No. Name Type Cards Dimensions Format
    0 PRIMARY PrimaryHDU 138 ()
    1 SCI ImageHDU 61 (800, 800) int16
    2 SCI ImageHDU 61 (800, 800) int16
    3 SCI ImageHDU 61 (800, 800) int16
    4 SCI ImageHDU 61 (800, 800) int16

2. Print a summary of HDUs of all the FITS files in the current directory:

    $ fitsinfo *.fits